## lwt-log 1.1.1

=== Makefile ===
.PHONY : build
build :
	jbuilder build --dev

.PHONY : clean
clean :
	jbuilder clean

=== debian/changelog ===
lwt-log (1.1.1-2) unstable; urgency=medium

  * Call dune instead of jbuilder in clean rule (fixes FTBFS)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 31 Jan 2020 20:46:20 +0100

lwt-log (1.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #940318)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 11 Nov 2019 11:46:21 +0100

=== debian/control ===
Source: lwt-log
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 ocaml-nox,
 ocaml-dune,
 liblwt-ocaml-dev (>= 4),
 dh-ocaml
Standards-Version: 4.4.0
Section: ocaml
Homepage: https://github.com/ocsigen/lwt_log
Vcs-Git: https://salsa.debian.org/ocaml-team/lwt-log.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/lwt-log

Package: liblwt-log-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Lwt-friendly logging library (development)
 Lwt_log is a Lwt-friendly logging library. The library is split into
 two ocamlfind packages. The "basic" lwt_log includes Unix log
 destination support, such as files and syslog, and
 Lwt_daemon. lwt_log.core is the pure-OCaml part of lwt_log, suitable
 for targeting JavaScript in the browser, or elsewhere where Unix is
 not available.
 .
 This package contains the development files.

Package: liblwt-log-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: optimised functions to read and write int16/32/64 (runtime)
 Lwt_log is a Lwt-friendly logging library. The library is split into
 two ocamlfind packages. The "basic" lwt_log includes Unix log
 destination support, such as files and syslog, and
 Lwt_daemon. lwt_log.core is the pure-OCaml part of lwt_log, suitable
 for targeting JavaScript in the browser, or elsewhere where Unix is
 not available.
 .
 This package contains the runtime files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml --no-parallel

override_dh_auto_clean:
	dune clean

override_dh_auto_build:
	dune build -p lwt_log --verbose

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3
https://github.com/ocsigen/lwt_log/releases .*/archive/(.*)\.tar\.gz

## lwt-log 1.1.2

=== debian/changelog ===
lwt-log (1.1.2-4build14) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Oct 2025 14:44:58 +0200

lwt-log (1.1.2-4build13) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jun 2025 05:20:44 +0200

lwt-log (1.1.2-4build12) questing; urgency=medium

  * Rebuild against latest ocaml libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 06 May 2025 07:41:24 -0400

lwt-log (1.1.2-4build11) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 23:54:46 +0100

lwt-log (1.1.2-4build10) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 22:53:58 +0100

lwt-log (1.1.2-4build9) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:18:10 +0100

lwt-log (1.1.2-4build8) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 18:17:03 +0100

lwt-log (1.1.2-4build7) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Sep 2024 12:18:08 +0200

lwt-log (1.1.2-4build6) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:35:10 +0200

lwt-log (1.1.2-4build5) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Jun 2024 23:35:58 +0200

lwt-log (1.1.2-4build4) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 Feb 2024 16:32:02 +0100

lwt-log (1.1.2-4build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Nov 2023 15:54:54 +0100

lwt-log (1.1.2-4build2) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Nov 2023 17:32:05 +0100

lwt-log (1.1.2-4build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Aug 2023 13:47:43 +0200

lwt-log (1.1.2-4) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 09:29:40 +0200

lwt-log (1.1.2-3) unstable; urgency=medium

  * Fix compilation with recent dune.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 12:11:30 +0200

lwt-log (1.1.2-2) unstable; urgency=medium

  * Team upload.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 03 Jul 2023 13:12:13 +0200

lwt-log (1.1.2-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release

  [ Debian Janitor ]
  * Update watch file
  * Set upstream metadata fields
  * Update standards version to 4.6.1

 -- Stéphane Glondu <glondu@debian.org>  Mon, 23 Jan 2023 10:41:07 +0100

lwt-log (1.1.1-3) unstable; urgency=medium

  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no
  * Add empty dh_dwz override to fix FTBFS

 -- Stéphane Glondu <glondu@debian.org>  Tue, 28 Jul 2020 10:54:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- ocaml-nox,
+ debhelper-compat (= 13),
+ ocaml,
  ocaml-dune,
  liblwt-ocaml-dev (>= 4),
- dh-ocaml
-Standards-Version: 4.4.0
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/ocsigen/lwt_log
 Vcs-Git: https://salsa.debian.org/ocaml-team/lwt-log.git

=== debian/watch ===
version=4
https://github.com/ocsigen/lwt_log/tags .*/archive/refs/tags/(.*)\.tar\.gz
